MibFileRef (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble

## Class MibFileRef

- java.lang.Object
- - net.percederberg.mibble.FileLocation
  - - net.percederberg.mibble.MibFileRef

-     public class MibFileRef
      extends FileLocation

  A MIB file reference. This class contains a reference to an exact location inside a MIB source file.
  Since:
    2.10

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `lineCommentStart` The line number for the initial (prefixing) comment.
    `protected int` | `lineEnd` The line number for the last line of the symbol declaration.

    - ### Fields inherited from class net.percederberg.mibble.FileLocation

      `column, file, line`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibFileRef()` Creates a void MIB file reference.
    `MibFileRef(java.io.File file, int line, int column)` Creates a new MIB file reference.

  - ### Method Summary

    - ### Methods inherited from class net.percederberg.mibble.FileLocation

      `getColumnNumber, getFile, getLineNumber, readLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### lineCommentStart

          protected int lineCommentStart

      The line number for the initial (prefixing) comment. If no comment is present, this will be set to the same line number as the starting line number.

    - #### lineEnd

          protected int lineEnd

      The line number for the last line of the symbol declaration. This may be set to the same line number as the starting line number.

  - ### Constructor Detail

    - #### MibFileRef

          public MibFileRef()

      Creates a void MIB file reference. This is used when line numbers or file name isn't available, typically for symbols automatically created outside the loaded MIB (such as the OID root symbols).

    - #### MibFileRef

          public MibFileRef(java.io.File file,
                    int line,
                    int column)

      Creates a new MIB file reference.
      Parameters:
        `file` - the file name
        `line` - the start line number
        `column` - the start column number